#pragma once
#include "Entity.h"
#define PELIGHTPX_CREATENAME L"pe_light_px"
//颗粒实体：摆动上升光粒
class PeLightPx :
    public ActionEntity
{
public:
    PeLightPx();
    void Step() override;
private:
    int action_timecounter_start = 0;
    float angle = 0;
    float A, B, C, D;
};

std::shared_ptr<Entity> CreatePeLightPx();